# Add files and directories to ship with the application 
# by adapting the examples below.
# file1.source = myfile
# dir1.source = mydir
datadir.source = engines/car2go/data
DEPLOYMENTFOLDERS = datadir # file1 dir1

TARGET = getmewheels
QT += network

symbian:TARGET.UID3 = 0xE3F0D726

# Allow network access on Symbian
symbian {
    TARGET.CAPABILITY = Location \
                        NetworkServices
}

maemo5: QT += maemo5

# If your application uses the Qt Mobility libraries, uncomment
# the following lines and add the respective components to the 
# MOBILITY variable. 
maemo5 {
    CONFIG += mobility12
} else {
    CONFIG += mobility
}
MOBILITY += location
INCLUDEPATH += /home/micha/Develop/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/opt/libqtm/include/QtLocation

!symbian {
# Don't know yet how to handle static libs in symbian. Re-enable this once the plugin folder compiles and links successfully on symbian
LIBS += -L../plugins/maps/qtm-geoservices-extras/openstreetmap \
        -lqtgeoservices_openstreetmap -lqoauth -lqjson -lQtLocation
}

INCLUDEPATH += /usr/include/QtCrypto

SOURCES += main.cpp \
    data/gmwitem.cpp \
    data/gmwvehicle.cpp \
    data/gmwparkingspot.cpp \
    data/gmwgasstation.cpp \
    data/gmwitemmodel.cpp \
    data/gmwitemsortfilterproxymodel.cpp \
    data/gmwbusinessarea.cpp \
    data/gmwaccount.cpp \
    data/gmwbooking.cpp \
    engines/gmwengine.cpp \
    engines/car2go/car2goengine.cpp \
    maps/gmwmap.cpp \
    maps/qtm-location/mobilitymap.cpp \
    maps/qtm-location/geomap.cpp \
    maps/qtm-location/gmwmarker.cpp \
    ui/settingsdialog.cpp \
    ui/itemlist.cpp \
    ui/itemdialog.cpp \
    ui/menubar.cpp \
    ui/accountselectordialog.cpp \
    ui/oauthwizard.cpp \
    networkapplication.cpp \
    mainwindow.cpp \
    core.cpp

HEADERS += networkapplication.h \
    mainwindow.h \
    data/gmwitem.h \
    data/gmwvehicle.h \
    data/gmwparkingspot.h \
    data/gmwgasstation.h \
    data/gmwitemmodel.h \
    data/gmwitemsortfilterproxymodel.h \
    data/gmwbusinessarea.h \
    data/gmwitem.h \
    data/gmwvehicle.h \
    data/gmwgasstation.h \
    data/gmwparkingspot.h \
    engines/gmwengine.h \
    engines/car2go/car2goengine.h \
    maps/gmwmap.h \
    maps/qtm-location/mobilitymap.h \
    maps/qtm-location/geomap.h \
    maps/qtm-location/gmwmarker.h \
    ui/settingsdialog.h \
    ui/itemlist.h \
    ui/itemdialog.h \
    ui/menubar.h \
    ui/oauthwizard.h \
    ui/accountselectordialog.h \
    ui/oauthwizard.h \
    core.h

TRANSLATIONS = getmewheels_de_DE.ts

RESOURCES += \
    resources/getmewheels.qrc

# Please do not modify the following two lines. Required for deployment.
include(deployment.pri)
qtcAddDeployment()
