#ifndef GMWBOOKING_H
#define GMWBOOKING_H

#include "gmwaccount.h"

#include <QDateTime>

class GMWBooking
{
public:
    GMWBooking(int id = -1, GMWAccount account = GMWAccount());

    bool isValid() const;

    void setId(int id);
    int id() const;

    void setAccount(const GMWAccount &account);
    GMWAccount account() const;

    void setTime(const QDateTime &time);
    QDateTime time() const;
    void setExpirationTime(const QDateTime &time);
    QDateTime expirationTime() const;

    QString toString() const;
    bool isExpired() const;

private:
    int m_id;
    GMWAccount m_account;
    QDateTime m_time;
    QDateTime m_expriationTime;
};

#endif // GMWBOOKING_H
